(define-module (glicid packages databases)
               #:use-module (guix git-download)
               #:use-module (guix packages)
               #:use-module ((gnu packages databases)#:prefix gnu:)
               )

(define-public timescaledb
               (package
                 (inherit gnu:timescaledb)
                 (name "timescaledb")
                 (version "2.9.1")
                 (source (origin
                           (method git-fetch)
                           (uri (git-reference
                                  (url "https://github.com/timescale/timescaledb")
                                  (commit version)))
                           (file-name (git-file-name name version))
                           (sha256 (base32 "1gxmq6hglz4simmsp5ypa2dav3nhvf8bsdp4raq0fr4673255xby"))
                           (modules '((guix build utils)))
                           (snippet
                             '(begin
                                (delete-file-recursively "tsl")
                                (for-each delete-file
                                          '("scripts/c_license_header-timescale.h"
                                            "scripts/license_tsl.spec"
                                            "scripts/sql_license_tsl.sql"
                                            "test/perl/AccessNode.pm"
                                            "test/perl/DataNode.pm"
                                            "test/perl/TimescaleNode.pm"))))))))
